Commit 177740f8 authored by Ben Boeckel's avatar Ben Boeckel
Browse files

ParaViewClient, ParaViewPlugin: use find_package helpers for Qt5

We need to find Qt5 here to make it available for automoc. This may need
assistance on the machine, so include the helper file (if available) to
get any Qt5 hints that may be useful.
parent e25f7047
Pipeline #142881 passed with stage
......@@ -262,6 +262,7 @@ IDI_ICON1 ICON \"${_paraview_client_APPLICATION_ICON}\"\n")
set(CMAKE_AUTORCC 1)
endif ()
include("${CMAKE_CURRENT_LIST_DIR}/paraview-find-package-helpers.cmake" OPTIONAL)
find_package(Qt5 REQUIRED QUIET COMPONENTS Core Widgets)
# CMake 3.13 started using Qt5's version variables to detect what version
......
......@@ -805,6 +805,7 @@ function (paraview_add_plugin name)
endif ()
if (_paraview_add_plugin_with_ui OR _paraview_add_plugin_with_resources)
include("${CMAKE_CURRENT_LIST_DIR}/paraview-find-package-helpers.cmake" OPTIONAL)
find_package(Qt5 QUIET REQUIRED COMPONENTS Core ${_paraview_add_plugin_qt_extra_components})
list(APPEND _paraview_add_plugin_required_libraries
Qt5::Core)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment